You are not logged in.

#1 2012-08-27 01:13:50

madprops
Member
Registered: 2012-05-26
Posts: 26

Android plugin not working in Eclipse on Arch 64bit

Hi, I'm having some trouble getting the android plugin to work. I know there are a lot of similar threads about this on this forum and google but nothing seems to work. I have installed Eclipse 4.2 through pacman. I removed openJDK and installed Oracle's jdk/jre.

java -version:

java version "1.7.0_06"
Java(TM) SE Runtime Environment (build 1.7.0_06-b24)
Java HotSpot(TM) 64-Bit Server VM (build 23.2-b09, mixed mode)

I manually edited Eclipse's ini file to find the jre:

-vm
/opt/java/jre/bin/java

I did this before logging out or rebooting. And Eclipse would open ok and use the jre/jdk. I Then tried to install the ADT plugin and it would install without problem. I rebooted Eclipse but there were no signs of the plugin. No android project creation or android preferences. The plugin shows listed as installed.

I then tried downloading android-eclipse from AUR and rebooted. But Eclipse looks the same. 

I have no idea what could be wrong here.  Any help is appreciated. Thanks.

Offline

#2 2012-08-28 00:37:34

madprops
Member
Registered: 2012-05-26
Posts: 26

Re: Android plugin not working in Eclipse on Arch 64bit

Ok nevermind I fixed it by deleting /usr/share/eclipse and installing the plugin again.

Offline

#3 2012-10-01 20:05:47

jancici
Member
From: Kalinovo,SK
Registered: 2011-12-04
Posts: 119

Re: Android plugin not working in Eclipse on Arch 64bit

hi
I have same problem but not able to solve it.
I was running elcipse 3.7.x with ADT plugin without problems.

after eclipse update to 4.2.1 I am not able to use ADT. Eclipse is saying that it is installed but could not find anything from it in enviroment.

I did reinstall eclipse and eclipse-emf eclipse-gef eclipse-wtp and follow http://developer.android.com/sdk/instal … g-adt.html but not sucess. Later I did find this https://developers.google.com/eclipse/d … clipse-4.2 but it is still same. ADT is installed but cannt use it.

I am using openjdk

pacman -Qs jdk
local/jdk7-openjdk 7.u7_2.3.2-2
    Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs - SDK
local/jre7-openjdk 7.u7_2.3.2-2
    Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs -Full Java runtime
    environment - needed for executing Java GUI and Webstart programs
local/jre7-openjdk-headless 7.u7_2.3.2-2
    Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs - Minimal Java
    runtime - needed for executing non GUI Java programs

Can be that problem?

thanks

Offline

#4 2012-10-01 20:38:31

xeo
Member
From: Glasgow, UK
Registered: 2005-03-06
Posts: 23

Re: Android plugin not working in Eclipse on Arch 64bit

I have the same problem as jancici.
I've tried installing the eclipse-android plugin from aur and manually via 'Help -> Install new software' (reinstalled eclipse and deleted ~/.eclipse folder before installing a plugin). No luck
I've also tried using oracle jdk, but that does not seem to make any difference too.

/opt/android-sdk is chown'ed to my user, running 'android' in terminal works fine.
Android eclipse plugins appear in the 'Installed software' tab in Eclipse, but that's all, no sign of Android plugin anywhere else in Eclipse - http://imgur.com/pOr01

Not sure how to debug it, 'eclipse -debug' does not print anything useful.

I would appreciate any suggestions.
Cheers

Offline

#5 2012-10-01 22:42:51

ioos
Member
Registered: 2011-01-25
Posts: 123

Re: Android plugin not working in Eclipse on Arch 64bit

I am also having the problem where Eclipse 4.2 isn't displaying the Android plugins. Uninstalling and reinstalling Eclipse along with all of the plugins didn't help. If I try to install from the Google URL http://dl.google.com/eclipse/plugin/4.2 I get the following errors:

Cannot complete the install because one or more required items could not be found.
  Software being installed: Google Plugin for Eclipse 4.2 3.1.0.v201208080121-rel-r42 (com.google.gdt.eclipse.suite.e42.feature.feature.group 3.1.0.v201208080121-rel-r42)
  Missing requirement: Google Suite Plugin 3.1.0.v201208080121-rel-r42 (com.google.gdt.eclipse.suite.ext 3.1.0.v201208080121-rel-r42) requires 'bundle org.eclipse.mylyn.commons.ui 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Google Plugin for Eclipse 4.2 3.1.0.v201208080121-rel-r42 (com.google.gdt.eclipse.suite.e42.feature.feature.group 3.1.0.v201208080121-rel-r42)
    To: com.google.gdt.eclipse.suite.ext [3.1.0.v201208080121-rel-r42]

I'm using Oracle's Java 7 from the AUR. Since a few of us with the issue are using different versions, I think that's probably not related.

Any ideas? I've been searching around, but I keep getting led back to this thread.

Offline

#6 2012-10-02 06:43:35

jancici
Member
From: Kalinovo,SK
Registered: 2011-12-04
Posts: 119

Re: Android plugin not working in Eclipse on Arch 64bit

to ioos
if you want to use  http://dl.google.com/eclipse/plugin/4.2 then you neeed install eclipse-mylyn from AUR
I was able to install ADT from that site after I did install "mylyn" but that did not work for me.

I am thinking about downgrading eclipse but meanwhile I did clear pacman cache so I dont have package, please have anybody older versien? please can you upload it somewhere so I could donwload it? thanks

Offline

#7 2012-10-02 07:05:31

satanselbow
Member
Registered: 2011-06-15
Posts: 534

Re: Android plugin not working in Eclipse on Arch 64bit

jancici wrote:

I am thinking about downgrading eclipse but meanwhile I did clear pacman cache so I dont have package, please have anybody older versien? please can you upload it somewhere so I could donwload it? thanks

Have a look on the Arch Rollback Machine site wink http://arm.konnichi.com/search/

Offline

#8 2012-10-02 11:28:56

paulr
Member
Registered: 2007-03-23
Posts: 49

Re: Android plugin not working in Eclipse on Arch 64bit

Had the same problem. My solution was to install eclipse, eclipse-sdk and eclipse-sdk-platform-tools normally (e.g. the AUR/Community packages), but then to install the plugin using the method in the Android docs (e.g. using the Eclipse installer).

If you add the Juno repository to the eclipse in built installer (http://download.eclipse.org/releases/juno) then this pulls in the other things that are packaged in AUR. It (as far as I can tell) works fine.

Offline

#9 2012-10-02 19:31:52

jancici
Member
From: Kalinovo,SK
Registered: 2011-12-04
Posts: 119

Re: Android plugin not working in Eclipse on Arch 64bit

well, I did install eclipse with pacman - thats my normally.
then I did install 3 dependencies of ADT from AUR

pacman -Qs eclipse
local/eclipse 4.2.1-1
    An IDE for Java and other languages
local/eclipse-emf 2.8.0-2
    EMF and XSD frameworks for the Eclipse platform
local/eclipse-gef 3.8.1-1
    GEF framework for the Eclipse platform
local/eclipse-wtp 3.4.0-1
    Webtools framework for the Eclipse platform

I did delete .eclipse directotry from home

then I did start eclipse and click HELP -> install new soft and insert https://dl-ssl.google.com/android/eclipse/ and install ADT

but ADT is not avaible, checking HELP -> about eclipse -> istalation details and I can see that ADT is installed.

okay, so I did this : HELP -> install new soft and insert http://download.eclipse.org/releases/juno
but find out that it is allready there, okay, after while I did get big list of plugins, I dont know which to choose.

so problem is still not solved

Offline

#10 2012-10-03 03:52:21

bsdson.tw
Member
From: Taiwan
Registered: 2005-05-06
Posts: 161

Re: Android plugin not working in Eclipse on Arch 64bit

I have the same problem.
And can't make it work even roll-back to eclipse 4.2.

I install eclipse and eclipse-emf, eclipse-gef and eclipse-wtp from AUR,
and install SDK and ADT separately.
(which means, following the Android's document)

The result is I can see those plug-ins installed, but not be able to launch them.

to Paulr,
may I know what do you mean by "eclipse-sdk" and "eclipse-sdk-platform-tools"?
Because I can't find them in AUR.

Thanks.
BR,
Henry

Offline

#11 2012-10-03 06:15:44

jancici
Member
From: Kalinovo,SK
Registered: 2011-12-04
Posts: 119

Re: Android plugin not working in Eclipse on Arch 64bit

I did downgrade eclipse to 3.7.2 and ADT is working {thanks for pointing me to rollback server}
I did spend to much time on this but I want to develop :-) so I will use older versien for while

I have installed these package:

pacman -Qs eclipse
local/eclipse 3.7.2-3
    An IDE for Java and other languages
local/eclipse-emf 2.8.0-2
    EMF and XSD frameworks for the Eclipse platform
local/eclipse-gef 3.8.1-1
    GEF framework for the Eclipse platform
local/eclipse-wtp 3.4.0-1
    Webtools framework for the Eclipse platform

pacman -Qs android
local/android-sdk r20.0.3-2
    Google Android SDK
local/android-sdk-platform-tools r14-1
    Platform-Tools for Google Android SDK (adb, aapt, aidl, dexdump and dx)

ADT is installed over HELP -> install new soft from this link https://dl-ssl.google.com/android/eclipse/

Offline

#12 2012-10-03 08:16:00

hudsy
Member
Registered: 2011-09-20
Posts: 3

Re: Android plugin not working in Eclipse on Arch 64bit

I had the same problem, so I removed everything related with eclipse and android-sdk, downloaded eclipse 3.7.2-3 from the arm site and now it works just fine.

Offline

#13 2012-10-04 07:33:29

xeo
Member
From: Glasgow, UK
Registered: 2005-03-06
Posts: 23

Re: Android plugin not working in Eclipse on Arch 64bit

Android plugin is now working for me after updating eclipse-emf and eclipse-mylyn (not sure if mylyn is actually needed).

Offline

#14 2012-10-04 08:50:41

peer
Member
From: Poland
Registered: 2011-05-20
Posts: 10

Re: Android plugin not working in Eclipse on Arch 64bit

I updated eclipse-emf and now it is working fine.

Offline

#15 2012-10-05 00:33:02

latuya23
Member
Registered: 2012-10-05
Posts: 1

Re: Android plugin not working in Eclipse on Arch 64bit

Paulr wrote:

Had the same problem. My solution was to install eclipse, eclipse-sdk and eclipse-sdk-platform-tools normally (e.g. the AUR/Community packages), but then to install the plugin using the method in the Android docs (e.g. using the Eclipse installer).
If you add the Juno repository to the eclipse in built installer (http://download.eclipse.org/releases/juno) then this pulls in the other things that are packaged in AUR. It (as far as I can tell) works fine.

-install eclipse from pacman
-install eclipse-emf eclipse-mylyn eclipse-gef eclipse-wtp from AUR
-install android plugin from Eclipse (make sure to use sudo when runnin eclipse).


This worked for me. Just make sure to user sudo eclipse when installing the Android plugin through the Eclipse installer.

Offline

#16 2012-10-05 07:21:05

satanselbow
Member
Registered: 2011-06-15
Posts: 534

Re: Android plugin not working in Eclipse on Arch 64bit

latuya23 wrote:

-install android plugin from Eclipse (make sure to use sudo when runnin eclipse).

Regardless of installation method (AUR / Eclipse site) running as root when installing plugins is key (as per wiki...).

Once you have eclipse loaded with all the plugin goodness you need run as regular user wink

Offline

#17 2012-10-11 07:52:47

jancici
Member
From: Kalinovo,SK
Registered: 2011-12-04
Posts: 119

Re: Android plugin not working in Eclipse on Arch 64bit

okay, I did update eclise, then I did update elcipse-* packages from AUR, some of them was older ...
then I did remove .eclipse directory from home
and start eclipse and install ADT plugin from https://dl-ssl.google.com/android/eclipse/

it is woring now

Offline

Board footer

Powered by FluxBB